const Router = require('koa-router');
const system = require('./controllers/system')
const user = require('./controllers/user')
const router = Router();
const API_VERSION = "/api/v1";
router.post(`${API_VERSION}/login`, system.login);
router.post(`${API_VERSION}/merchant/authority/role_list`, system.getRole_list)
router.post(`${API_VERSION}/merchant/authority/add_role`, system.getAdd_role)
router.post(`${API_VERSION}/merchant/authority/update_role`, system.getUpdate_role)
router.post(`${API_VERSION}/merchant/authority/get_role_list`, system.getAll_role_list)
router.post(`${API_VERSION}/merchant/authority/get_role_info`, system.get_role_info)
router.post(`${API_VERSION}/merchant/lifeinner/life_info`, system.getUser_detail)
router.get(`${API_VERSION}/merchant/lifeinner/life_list`, system.get_life_list)

module.exports = router;
